org.springframework.cloud.dataflow.server.config

## Class DataFlowControllerAutoConfiguration.SecurityConfiguration

- java.lang.Object
- - org.springframework.cloud.dataflow.server.config.DataFlowControllerAutoConfiguration.SecurityConfiguration

- Enclosing class:
    DataFlowControllerAutoConfiguration

      @Configuration
      public static class DataFlowControllerAutoConfiguration.SecurityConfiguration
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.cloud.common.security.AuthorizationProperties` | `authorizationProperties()`
    `SecurityController` | `securityController(org.springframework.cloud.common.security.support.SecurityStateBean securityStateBean)`
    `org.springframework.cloud.common.security.support.SecurityStateBean` | `securityStateBean()`
    `SpringSecurityAuditorAware` | `springSecurityAuditorAware(org.springframework.cloud.common.security.support.SecurityStateBean securityStateBean)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecurityConfiguration

          public SecurityConfiguration()

  - ### Method Detail

    - #### springSecurityAuditorAware

          @Bean
          public SpringSecurityAuditorAware springSecurityAuditorAware(org.springframework.cloud.common.security.support.SecurityStateBean securityStateBean)

    - #### securityStateBean

          @Bean
          public org.springframework.cloud.common.security.support.SecurityStateBean securityStateBean()

    - #### securityController

          @Bean
          public SecurityController securityController(org.springframework.cloud.common.security.support.SecurityStateBean securityStateBean)

    - #### authorizationProperties

          @Bean
           @ConfigurationProperties(prefix="spring.cloud.dataflow.security.authorization")
          public org.springframework.cloud.common.security.AuthorizationProperties authorizationProperties()

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.